Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.connector.meta.jdbc
Class JdbcMetadataLexicon

    java.lang.Object
      org.modeshape.connector.meta.jdbc.JdbcMetadataLexicon

    public class JdbcMetadataLexicon

extends Object

The namespace and property names used within a `JdbcMetadataSource` to store internal information.

Nested Class Summary
`static class` | `JdbcMetadataLexicon.Namespace`

Field Summary
`static Name` | `CATALOG`
`static Name` | `COLUMN`
`static Name` | `COLUMN_SIZE`
`static Name` | `COLUMNS`
`static Name` | `DATABASE_MAJOR_VERSION`
`static Name` | `DATABASE_MINOR_VERSION`
`static Name` | `DATABASE_PRODUCT_NAME`
`static Name` | `DATABASE_PRODUCT_VERSION`
`static Name` | `DATABASE_ROOT`
`static Name` | `DECIMAL_DIGITS`
`static Name` | `DEFAULT_VALUE`
`static Name` | `DESCRIPTION`
`static Name` | `JDBC_DATA_TYPE`
`static Name` | `LENGTH`
`static Name` | `NULLABLE`
`static Name` | `ORDINAL_POSITION`
`static Name` | `PROCEDURE`
`static Name` | `PROCEDURE_RETURN_TYPE`
`static Name` | `PROCEDURES`
`static Name` | `RADIX`
`static Name` | `REFERENCE_GENERATION_STRATEGY_NAME`
`static Name` | `SCHEMA`
`static Name` | `SCOPE_CATALOG_NAME`
`static Name` | `SCOPE_SCHEMA_NAME`
`static Name` | `SCOPE_TABLE_NAME`
`static Name` | `SELF_REFERENCING_COLUMN_NAME`
`static Name` | `SOURCE_JDBC_DATA_TYPE`
`static Name` | `TABLE`
`static Name` | `TABLE_TYPE`
`static Name` | `TABLES`
`static Name` | `TYPE_CATALOG_NAME`
`static Name` | `TYPE_NAME`
`static Name` | `TYPE_SCHEMA_NAME`

Constructor Summary
`JdbcMetadataLexicon()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CATALOG

    public static final Name CATALOG

### COLUMN

    public static final Name COLUMN

### COLUMNS

    public static final Name COLUMNS

### COLUMN_SIZE

    public static final Name COLUMN_SIZE

### DATABASE_MAJOR_VERSION

    public static final Name DATABASE_MAJOR_VERSION

### DATABASE_MINOR_VERSION

    public static final Name DATABASE_MINOR_VERSION

### DATABASE_PRODUCT_NAME

    public static final Name DATABASE_PRODUCT_NAME

### DATABASE_PRODUCT_VERSION

    public static final Name DATABASE_PRODUCT_VERSION

### DATABASE_ROOT

    public static final Name DATABASE_ROOT

### DECIMAL_DIGITS

    public static final Name DECIMAL_DIGITS

### DEFAULT_VALUE

    public static final Name DEFAULT_VALUE

### DESCRIPTION

    public static final Name DESCRIPTION

### JDBC_DATA_TYPE

    public static final Name JDBC_DATA_TYPE

### NULLABLE

    public static final Name NULLABLE

### LENGTH

    public static final Name LENGTH

### ORDINAL_POSITION

    public static final Name ORDINAL_POSITION

### PROCEDURE

    public static final Name PROCEDURE

### PROCEDURES

    public static final Name PROCEDURES

### PROCEDURE_RETURN_TYPE

    public static final Name PROCEDURE_RETURN_TYPE

### RADIX

    public static final Name RADIX

### REFERENCE_GENERATION_STRATEGY_NAME

    public static final Name REFERENCE_GENERATION_STRATEGY_NAME

### SCHEMA

    public static final Name SCHEMA

### SCOPE_CATALOG_NAME

    public static final Name SCOPE_CATALOG_NAME

### SCOPE_SCHEMA_NAME

    public static final Name SCOPE_SCHEMA_NAME

### SCOPE_TABLE_NAME

    public static final Name SCOPE_TABLE_NAME

### SELF_REFERENCING_COLUMN_NAME

    public static final Name SELF_REFERENCING_COLUMN_NAME

### SOURCE_JDBC_DATA_TYPE

    public static final Name SOURCE_JDBC_DATA_TYPE

### TABLE

    public static final Name TABLE

### TABLES

    public static final Name TABLES

### TABLE_TYPE

    public static final Name TABLE_TYPE

### TYPE_NAME

    public static final Name TYPE_NAME

### TYPE_CATALOG_NAME

    public static final Name TYPE_CATALOG_NAME

### TYPE_SCHEMA_NAME

    public static final Name TYPE_SCHEMA_NAME

Constructor Detail

### JdbcMetadataLexicon

    public JdbcMetadataLexicon()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.